# StatisticsEquivalenceClasses (ARX API Documentation)

org.deidentifier.arx.aggregates

## Class StatisticsEquivalenceClasses

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsEquivalenceClasses

-     public class StatisticsEquivalenceClasses
      extends java.lang.Object

  Statistics about the equivalence classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description

    `StatisticsEquivalenceClasses(double averageEquivalenceClassSize, double averageEquivalenceClassSizeIncludingOutliers, int maximalEquivalenceClassSize, int maximalEquivalenceClassSizeIncludingOutliers, int minimalEquivalenceClassSize, int minimalEquivalenceClassSizeIncludingOutliers, int numberOfEquivalenceClasses, int numberOfEquivalenceClassesIncludingOutliers, int numberOfTuples, int numberOfOutlyingTuples)`
    Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageEquivalenceClassSize()` Returns the maximal size of an equivalence class.
    `double` | `getAverageEquivalenceClassSizeIncludingOutliers()` Returns the maximal size of an equivalence class.
    `int` | `getMaximalEquivalenceClassSize()` Returns the maximal size of an equivalence class.
    `int` | `getMaximalEquivalenceClassSizeIncludingOutliers()` Returns the maximal size of an equivalence class.
    `int` | `getMinimalEquivalenceClassSize()` Returns the minimal size of an equivalence class.
    `int` | `getMinimalEquivalenceClassSizeIncludingOutliers()` Returns the minimal size of an equivalence class.
    `int` | `getNumberOfEquivalenceClasses()` Returns the number of equivalence classes in the currently selected data representation.
    `int` | `getNumberOfEquivalenceClassesIncludingOutliers()` Returns the number of outlying equivalence classes in the currently selected data representation.
    `int` | `getNumberOfOutlyingTuples()` Returns the number of outliers in the currently selected data representation.
    `int` | `getNumberOfTuples()` Returns the number of tuples in the currently selected data representation.
    `int` | `getNumberOfTuplesIncludingOutliers()` Returns the number of tuples in the currently selected data representation.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticsEquivalenceClasses

          public StatisticsEquivalenceClasses(double averageEquivalenceClassSize,
                                      double averageEquivalenceClassSizeIncludingOutliers,
                                      int maximalEquivalenceClassSize,
                                      int maximalEquivalenceClassSizeIncludingOutliers,
                                      int minimalEquivalenceClassSize,
                                      int minimalEquivalenceClassSizeIncludingOutliers,
                                      int numberOfEquivalenceClasses,
                                      int numberOfEquivalenceClassesIncludingOutliers,
                                      int numberOfTuples,
                                      int numberOfOutlyingTuples)

      Creates a new instance
      Parameters:
        `averageEquivalenceClassSize` -
        `averageEquivalenceClassSizeIncludingOutliers` -
        `maximalEquivalenceClassSize` -
        `maximalEquivalenceClassSizeIncludingOutliers` -
        `minimalEquivalenceClassSize` -
        `minimalEquivalenceClassSizeIncludingOutliers` -
        `numberOfEquivalenceClasses` -
        `numberOfEquivalenceClassesIncludingOutliers` -
        `numberOfTuples` -
        `numberOfOutlyingTuples` -

  - ### Method Detail

    - #### getAverageEquivalenceClassSize

          public double getAverageEquivalenceClassSize()

      Returns the maximal size of an equivalence class.
      Returns:

    - #### getAverageEquivalenceClassSizeIncludingOutliers

          public double getAverageEquivalenceClassSizeIncludingOutliers()

      Returns the maximal size of an equivalence class. This number takes into account one additional equivalence class containing all outliers
      Returns:

    - #### getMaximalEquivalenceClassSize

          public int getMaximalEquivalenceClassSize()

      Returns the maximal size of an equivalence class.
      Returns:

    - #### getMaximalEquivalenceClassSizeIncludingOutliers

          public int getMaximalEquivalenceClassSizeIncludingOutliers()

      Returns the maximal size of an equivalence class. This number takes into account one additional equivalence class containing all outliers
      Returns:

    - #### getMinimalEquivalenceClassSize

          public int getMinimalEquivalenceClassSize()

      Returns the minimal size of an equivalence class.
      Returns:

    - #### getMinimalEquivalenceClassSizeIncludingOutliers

          public int getMinimalEquivalenceClassSizeIncludingOutliers()

      Returns the minimal size of an equivalence class. This number takes into account one additional equivalence class containing all outliers
      Returns:

    - #### getNumberOfEquivalenceClasses

          public int getNumberOfEquivalenceClasses()

      Returns the number of equivalence classes in the currently selected data representation.
      Returns:

    - #### getNumberOfEquivalenceClassesIncludingOutliers

          public int getNumberOfEquivalenceClassesIncludingOutliers()

      Returns the number of outlying equivalence classes in the currently selected data representation.
      Returns:

    - #### getNumberOfOutlyingTuples

          public int getNumberOfOutlyingTuples()

      Returns the number of outliers in the currently selected data representation.
      Returns:

    - #### getNumberOfTuples

          public int getNumberOfTuples()

      Returns the number of tuples in the currently selected data representation.
      Returns:

    - #### getNumberOfTuplesIncludingOutliers

          public int getNumberOfTuplesIncludingOutliers()

      Returns the number of tuples in the currently selected data representation.
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`